Bug 496512 - gtk broke printing from gimp
gtk broke printing from gimp
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 16:14 EDT by Tom Horsley
Modified: 2009-12-18 04:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:17:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2009-04-19 16:14:12 EDT
Description of problem:

I filed a bugzilla against gimp upstream because I figured fedora would
just tell me it is an upstream problem:

http://bugzilla.gnome.org/show_bug.cgi?id=578756

But the gimp guys say it is a gtk problem and I should file the bug
here instead, so I figured I'd give that a try and see what happens :-).

The details are in the bugzilla above, but what it boils down to is
that custom page size definitions no longer work in gimp.

Version-Release number of selected component (if applicable):
gtk2-2.14.7-7.fc10.x86_64
gimp-2.6.6-1.fc10.x86_64

How reproducible:
every time

Steps to Reproduce:
1.define 5x5inch zero margin 300dpi page
2.try to print 1500x1500 pixel 300dpi image to CD printer
3.watch gimp refuse to just print the image, but insist
on ridiculous scaling that screws everything up.
  
Actual results:
see above

Expected results:
an image printed on my CD exactly as I was formerly able
to do before some update somewhere broke everything.

Additional info:
Comment 1 Tom Horsley 2009-04-23 21:01:09 EDT
I've been doing some experimenting, and found that I can print my dvd
images to the media using the Qt based kolorpaint application. More
evidence that the problem lies with gtk (maybe).

Formula for kolorpaint:

Select "print at top left" in options.

In printer properties:

Select 120mm DVD in paper size
Set margins to zero on all sides

Even with this app, though, something spurious is going on. I should
not need to set top left versus center in options since the paper
size I select should be identical to the print size of the image so
both positions should be the same. In reality though, I just get a
small piece of the image printed near the edge, as though it was
actually centering it in something like a 8.5x11 page.

Perhaps something is actually screwed up at an even lower level in the
print system and I can get a Qt app to work because the Qt print engine
gives me more control of options? (Or perhaps kolorpaint is merely
ignoring the page size when doing centering and it has nothing to
do with the print system).
Comment 2 Bug Zapper 2009-11-18 06:45:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:17:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.